package com.lqkj;

import com.lqkj.camera.thread.CameraThread;
import com.lqkj.camera.util.CameraPush;
import com.lqkj.camera.util.TimerUtil;
import com.lqkj.framework.config.PropertyDeploy;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.flyway.FlywayAutoConfiguration;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.context.ApplicationContext;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.transaction.annotation.EnableTransactionManagement;
import org.springframework.web.servlet.config.annotation.EnableWebMvc;

import javax.annotation.PreDestroy;

/**
 * 应用启动入口
 * @author lh
 */
@SpringBootApplication(exclude = {FlywayAutoConfiguration.class})
@EnableCaching
@EnableTransactionManagement
@EnableWebMvc
@EnableScheduling
public class LingWeiApplication {
    private final Logger logger = LoggerFactory.getLogger(this.getClass());
    public static void main(String[] args) {
        PropertyDeploy deploy = new PropertyDeploy();
        deploy.deploy();
        final ApplicationContext applicationContext = SpringApplication.run(LingWeiApplication.class, args);
        // 将上下文传入CameraPush类中，用于检测tcp连接是否正常
        CameraPush.setApplicationContext(applicationContext);
    }
    @PreDestroy
    public void destory() {
        logger.info("服务结束，开始释放空间...");
        // 关闭线程池
        CameraThread.MyRunnable.es.shutdownNow();
        // 销毁定时器
        TimerUtil.timer.cancel();
    }
}
