package com.lqkj.business.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.lqkj.business.entity.CmsNews;

/**
 * 信息管理Mapper接口
 *
 * @author lqkj
 * @date 2023-02-16
 */
@Mapper
public interface CmsNewsMapper
{
    /**
     * 查询信息管理
     *
     * @param newsId 信息管理主键
     * @return 信息管理
     */
    public CmsNews selectCmsNewsByNewsId(String newsId);

    /**
     * 查询信息管理列表
     *
     * @param cmsNews 信息管理
     * @return 信息管理集合
     */
    public List<CmsNews> selectCmsNewsList(CmsNews cmsNews);

    /**
     * 新增信息管理
     *
     * @param cmsNews 信息管理
     * @return 结果
     */
    public int insertCmsNews(CmsNews cmsNews);

    /**
     * 修改信息管理
     *
     * @param cmsNews 信息管理
     * @return 结果
     */
    public int updateCmsNews(CmsNews cmsNews);

    /**
     * 删除信息管理
     *
     * @param newsId 信息管理主键
     * @return 结果
     */
    public int deleteCmsNewsByNewsId(String newsId);

    /**
     * 批量删除信息管理
     *
     * @param newsIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCmsNewsByNewsIds(String[] newsIds);

    public CmsNews selectCmsNewsByCategoryId(Long categoryId);

    public int updateTopStatus(CmsNews cmsNews);

    public int plusViewCount(String newsId);

    public int updateCarouselStatus(CmsNews cmsNews);
}
