package com.lqkj.framework.security;


import com.lqkj.common.core.model.LoginUser;
import com.lqkj.framework.service.SysPermissionService;
import com.lqkj.system.entity.SysUser;
import com.lqkj.system.service.SysUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.core.userdetails.UserDetails;
import org.springframework.security.core.userdetails.UserDetailsService;
import org.springframework.security.core.userdetails.UsernameNotFoundException;
import org.springframework.stereotype.Component;

@Component
public class MyUserDetailsService implements UserDetailsService {
    @Autowired
    private SysUserService sysUserService;
    @Autowired
    private SysPermissionService permissionService;
    @Override
    public UserDetails loadUserByUsername(String username) throws UsernameNotFoundException {
        SysUser sysUser = sysUserService.selectUserByUserName(username);
        if (sysUser == null){
            throw new UsernameNotFoundException("用户名或密码错误");
        }
        if (!sysUser.getStatus()){
            throw new UsernameNotFoundException("对不起，您的账号：" + username + " 已停用");
        }
        return createLoginUser(sysUser);
    }

    public UserDetails createLoginUser(SysUser sysUser){
        LoginUser loginUser = new LoginUser(sysUser.getUserId(), sysUser.getDeptId(), sysUser);
        loginUser.setAuthorities(permissionService.getMenuPermission(sysUser));
        return loginUser;
    }
}
