package com.lqkj.framework.security.handler;

import com.fasterxml.jackson.databind.ObjectMapper;
import com.lqkj.common.constant.Constants;
import com.lqkj.common.core.model.ResultUtil;
import com.lqkj.framework.manager.AsyncManager;
import com.lqkj.framework.manager.factory.AsyncFactory;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.security.core.AuthenticationException;
import org.springframework.security.web.authentication.SimpleUrlAuthenticationFailureHandler;
import org.springframework.stereotype.Component;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

@Component
public class CustomAuthenctiationFailureHandler extends SimpleUrlAuthenticationFailureHandler {

    private Logger logger = LoggerFactory.getLogger(getClass());
    @Autowired
    private ObjectMapper objectMapper;
    @Override
    public void onAuthenticationFailure(HttpServletRequest request, HttpServletResponse response,
                                        AuthenticationException exception) throws IOException, ServletException {
        logger.warn("登录失败");
        AsyncManager.me().execute(AsyncFactory.recordLogininfor(request, Constants.LOGIN_FAIL, exception.getMessage()));
        response.setStatus(HttpStatus.OK.value());
        response.setContentType("application/json;charset=UTF-8");
        response.getWriter().write(objectMapper.writeValueAsString(ResultUtil.error(exception.getMessage())));
        response.getWriter().flush();
      }

}
