package com.lqkj.framework.service;

import com.lqkj.common.utils.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.core.GrantedAuthority;
import org.springframework.security.core.authority.SimpleGrantedAuthority;
import org.springframework.security.oauth2.provider.OAuth2Authentication;
import org.springframework.security.oauth2.provider.token.TokenStore;
import org.springframework.stereotype.Component;

import javax.websocket.Session;
import java.util.List;
import java.util.Map;

/**
 * websocket用户权限处理
 *
 * @author lh
 */
@Component
public class WsPermissionService {
    @Autowired
    private TokenStore tokenStore;
    /**
     * 权限校验
     * @return
     */
    public boolean hasPermissions(Session session, String permission)
    {
        try {
            Map<String, List<String>> param = session.getRequestParameterMap();
            OAuth2Authentication accessToken = tokenStore.readAuthentication(param.get("access_token").get(0));
            List<GrantedAuthority>  permissions = (List<GrantedAuthority>)accessToken.getAuthorities();
            return permissions.contains(new SimpleGrantedAuthority("*:*:*")) || permissions.contains(new SimpleGrantedAuthority(StringUtils.trim(permission)));
        } catch (Exception e) {
            return false;
        }

    }

}
