package com.lqkj.info.entity;

import com.lqkj.type.entity.AreaType;
import com.lqkj.type.mapper.AreaTypeMapper;
import com.lqkj.type.service.AreaTypeService;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.lqkj.common.annotation.Excel;
import com.lqkj.common.core.model.BaseEntity;
import org.codehaus.jackson.annotate.JsonIgnore;
import org.springframework.beans.factory.annotation.Autowired;

import javax.annotation.PostConstruct;
import javax.annotation.Resource;

/**
 * 区域对象：area_info对象 area_info
 * 
 * @author lqkj
 * @date 2024-11-11
 */
public class AreaInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    @Resource
    private AreaTypeService areaTypeService;

    /** 区域id */
    @Excel(name = "区域id")
    private Integer areaId;

    /** 类别编号 */
    private Integer typeId;

    /** 类别名称 */
    @JsonIgnore
    private String typeName;

    /** 名字 */
    @Excel(name = "名字")
    private String areaName;

    /** 备注 */
    private String memo;

    /** 颜色 */
    @Excel(name = "颜色")
    private String colour;

    /** 面积 */
    @Excel(name = "面积")
    private Integer acreage;

    /** 坐标 */
    @Excel(name = "坐标")
    private Object location;

    public void setAreaId(Integer areaId) 
    {
        this.areaId = areaId;
    }

    public Integer getAreaId() 
    {
        return areaId;
    }
    public void setTypeId(Integer typeId) 
    {
        this.typeId = typeId;
    }

    public Integer getTypeId() 
    {
        return typeId;
    }
    public void setAreaName(String areaName) 
    {
        this.areaName = areaName;
    }

    public String getAreaName() 
    {
        return areaName;
    }
    public void setMemo(String memo) 
    {
        this.memo = memo;
    }

    public String getMemo() 
    {
        return memo;
    }
    public void setColour(String colour) 
    {
        this.colour = colour;
    }

    public String getColour() 
    {
        return colour;
    }
    public void setAcreage(Integer acreage) 
    {
        this.acreage = acreage;
    }

    public Integer getAcreage() 
    {
        return acreage;
    }
    public void setLocation(Object location)
    {
        this.location = location;
    }

    public Object getLocation()
    {
        return location;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("areaId", getAreaId())
            .append("typeId", getTypeId())
            .append("areaName", getAreaName())
            .append("memo", getMemo())
            .append("colour", getColour())
            .append("acreage", getAcreage())
            .append("location", getLocation())
            .toString();
    }



    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    public String getTypeName() {
        return typeName;
    }


}