package com.lqkj.info.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.lqkj.common.annotation.Excel;
import com.lqkj.common.core.model.BaseEntity;

import java.time.LocalDateTime;

/**
 * 设备信息对象 equipment_info
 *
 * @author lqkj
 * @date 2024-11-12
 */
public class EquipmentInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 设备id */
    private Integer equipmentId;

    /** 类别id */
    private Integer typeId;

    /** 房间编号 */
    @Excel(name = "房间编号")
    private Integer roomId;

    /** 大楼编号 */
    @Excel(name = "大楼编号")
    private Integer buildingId;

    /** 区域id */
    @Excel(name = "区域id")
    private Integer areaId;

    /** 名称 */
    @Excel(name = "名称")
    private String equipmentName;

    /** 二维坐标 */
    @Excel(name = "二维坐标")
    private String lngLat;

    /** 三维坐标 */
    @Excel(name = "三维坐标")
    private String rasterLngLat;

    /** 类型 */
    @Excel(name = "类型")
    private String typeName;

    /** 状态 */
    @Excel(name = "状态")
    private Integer status;

    /** 使用状态 */
    private Integer deviceStatus;

    /** 设备编号 */
    private String equipCode;

    /** 品牌 */
    private Integer brand;

    /** 园区id */
    private Integer parkId;

    private String video;

    /**
     * 告警时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" ,timezone="GMT+8")
    private LocalDateTime warningTime;

    public void setEquipmentId(Integer equipmentId)
    {
        this.equipmentId = equipmentId;
    }

    public Integer getEquipmentId()
    {
        return equipmentId;
    }
    public void setTypeId(Integer typeId)
    {
        this.typeId = typeId;
    }

    public Integer getTypeId()
    {
        return typeId;
    }
    public void setRoomId(Integer roomId)
    {
        this.roomId = roomId;
    }

    public Integer getRoomId()
    {
        return roomId;
    }
    public void setBuildingId(Integer buildingId)
    {
        this.buildingId = buildingId;
    }

    public Integer getBuildingId()
    {
        return buildingId;
    }
    public void setAreaId(Integer areaId)
    {
        this.areaId = areaId;
    }

    public Integer getAreaId()
    {
        return areaId;
    }
    public void setEquipmentName(String equipmentName)
    {
        this.equipmentName = equipmentName;
    }

    public String getEquipmentName()
    {
        return equipmentName;
    }
    public void setLngLat(String lngLat)
    {
        this.lngLat = lngLat;
    }

    public String getLngLat()
    {
        return lngLat;
    }
    public void setRasterLngLat(String rasterLngLat)
    {
        this.rasterLngLat = rasterLngLat;
    }

    public String getRasterLngLat()
    {
        return rasterLngLat;
    }
    public void setTypeName(String typeName)
    {
        this.typeName = typeName;
    }

    public String getTypeName()
    {
        return typeName;
    }
    public void setStatus(Integer status)
    {
        this.status = status;
    }

    public Integer getStatus()
    {
        return status;
    }

    public Integer getDeviceStatus() {
        return deviceStatus;
    }

    public void setDeviceStatus(Integer deviceStatus) {
        this.deviceStatus = deviceStatus;
    }

    public String getEquipCode() {
        return equipCode;
    }

    public void setEquipCode(String equipCode) {
        this.equipCode = equipCode;
    }

    public Integer getBrand() {
        return brand;
    }

    public void setBrand(Integer brand) {
        this.brand = brand;
    }

    public Integer getParkId() {
        return parkId;
    }

    public void setParkId(Integer parkId) {
        this.parkId = parkId;
    }

    public LocalDateTime getWarningTime() {
        return warningTime;
    }

    public void setWarningTime(LocalDateTime warningTime) {
        this.warningTime = warningTime;
    }

    public String getVideo() {
        return video;
    }

    public void setVideo(String video) {
        this.video = video;
    }

    @Override
    public String toString() {
        return "EquipmentInfo{" +
                "equipmentId=" + equipmentId +
                ", typeId=" + typeId +
                ", roomId=" + roomId +
                ", buildingId=" + buildingId +
                ", areaId=" + areaId +
                ", equipmentName='" + equipmentName + '\'' +
                ", lngLat='" + lngLat + '\'' +
                ", rasterLngLat='" + rasterLngLat + '\'' +
                ", typeName='" + typeName + '\'' +
                ", status=" + status +
                ", deviceStatus=" + deviceStatus +
                ", equipCode='" + equipCode + '\'' +
                ", brand=" + brand +
                ", parkId=" + parkId +
                '}';
    }
}
