package com.lqkj.info.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.lqkj.common.annotation.Excel;
import com.lqkj.common.core.model.BaseEntity;

/**
 * 房间信息对象 room_info
 * 
 * @author lqkj
 * @date 2024-11-13
 */
public class RoomInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 房间编号 */
    private Integer roomId;

    /** 类型 */
    @Excel(name = "类型")
    private Integer typeId;

    /** 大楼 */
    @Excel(name = "大楼")
    private Integer buildingId;

    /** 户型 */
    @Excel(name = "户型")
    private Integer houseTypeId;

    /** 房间名称 */
    @Excel(name = "房间名称")
    private String roomName;

    /** 地图编码 */
    private Integer mapCode;

    /** 英文名称 */
    private String enName;

    /** 别名 */
    private String alias;

    /** 排序 */
    private Integer orderId;

    /** 是否已同步 */
    @Excel(name = "是否已同步")
    private Boolean synStatus;

    /** 是否删除 */
    private Boolean delete;

    /** 简介 */
    private String brief;

    /** 二维坐标 */
    @Excel(name = "二维坐标")
    private String lngLat;

    /** 三维坐标 */
    @Excel(name = "三维坐标")
    private String rasterLngLat;

    /** 备注 */
    private String memo;

    /** 地址 */
    private String address;

    /** 楼层编码 */
    @Excel(name = "楼层编码")
    private Integer levelNumber;

    /** 面积 */
    private Integer acreage;

    /** 大楼名称：building_name */
    private String buildingName;

    /** 门牌号：hourse_number */
    private String hourseNumber;

    public void setRoomId(Integer roomId) 
    {
        this.roomId = roomId;
    }

    public Integer getRoomId() 
    {
        return roomId;
    }
    public void setTypeId(Integer typeId) 
    {
        this.typeId = typeId;
    }

    public Integer getTypeId() 
    {
        return typeId;
    }
    public void setBuildingId(Integer buildingId) 
    {
        this.buildingId = buildingId;
    }

    public Integer getBuildingId() 
    {
        return buildingId;
    }
    public void setHouseTypeId(Integer houseTypeId) 
    {
        this.houseTypeId = houseTypeId;
    }

    public Integer getHouseTypeId() 
    {
        return houseTypeId;
    }
    public void setRoomName(String roomName) 
    {
        this.roomName = roomName;
    }

    public String getRoomName() 
    {
        return roomName;
    }
    public void setMapCode(Integer mapCode) 
    {
        this.mapCode = mapCode;
    }

    public Integer getMapCode() 
    {
        return mapCode;
    }
    public void setEnName(String enName) 
    {
        this.enName = enName;
    }

    public String getEnName() 
    {
        return enName;
    }
    public void setAlias(String alias) 
    {
        this.alias = alias;
    }

    public String getAlias() 
    {
        return alias;
    }
    public void setOrderId(Integer orderId) 
    {
        this.orderId = orderId;
    }

    public Integer getOrderId() 
    {
        return orderId;
    }
    public void setSynStatus(Boolean synStatus) 
    {
        this.synStatus = synStatus;
    }

    public Boolean getSynStatus() 
    {
        return synStatus;
    }
    public void setDelete(Boolean delete) 
    {
        this.delete = delete;
    }

    public Boolean getDelete() 
    {
        return delete;
    }
    public void setBrief(String brief) 
    {
        this.brief = brief;
    }

    public String getBrief() 
    {
        return brief;
    }
    public void setLngLat(String lngLat) 
    {
        this.lngLat = lngLat;
    }

    public String getLngLat() 
    {
        return lngLat;
    }
    public void setRasterLngLat(String rasterLngLat) 
    {
        this.rasterLngLat = rasterLngLat;
    }

    public String getRasterLngLat() 
    {
        return rasterLngLat;
    }
    public void setMemo(String memo) 
    {
        this.memo = memo;
    }

    public String getMemo() 
    {
        return memo;
    }
    public void setAddress(String address) 
    {
        this.address = address;
    }

    public String getAddress() 
    {
        return address;
    }
    public void setLevelNumber(Integer levelNumber) 
    {
        this.levelNumber = levelNumber;
    }

    public Integer getLevelNumber() 
    {
        return levelNumber;
    }
    public void setAcreage(Integer acreage) 
    {
        this.acreage = acreage;
    }

    public Integer getAcreage() 
    {
        return acreage;
    }
    public void setBuildingName(String buildingName) 
    {
        this.buildingName = buildingName;
    }

    public String getBuildingName() 
    {
        return buildingName;
    }
    public void setHourseNumber(String hourseNumber) 
    {
        this.hourseNumber = hourseNumber;
    }

    public String getHourseNumber() 
    {
        return hourseNumber;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("roomId", getRoomId())
            .append("typeId", getTypeId())
            .append("buildingId", getBuildingId())
            .append("houseTypeId", getHouseTypeId())
            .append("roomName", getRoomName())
            .append("mapCode", getMapCode())
            .append("enName", getEnName())
            .append("alias", getAlias())
            .append("orderId", getOrderId())
            .append("synStatus", getSynStatus())
            .append("delete", getDelete())
            .append("brief", getBrief())
            .append("lngLat", getLngLat())
            .append("rasterLngLat", getRasterLngLat())
            .append("memo", getMemo())
            .append("address", getAddress())
            .append("levelNumber", getLevelNumber())
            .append("acreage", getAcreage())
            .append("buildingName", getBuildingName())
            .append("hourseNumber", getHourseNumber())
            .toString();
    }
}