package com.lqkj.info.entity;

import java.time.LocalTime;
import java.time.format.DateTimeFormatter;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.lqkj.common.annotation.Excel;
import com.lqkj.common.core.model.BaseEntity;
import org.springframework.data.annotation.Transient;

/**
 * 轮班人员信息对象 shift_personnel
 * 
 * @author lqkj
 * @date 2024-12-23
 */
public class ShiftPersonnel extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 轮班人员id */
    private Integer personnelId;

    /** 停车场id */
    @Excel(name = "停车场id")
    private Integer parkingId;

    /** 轮班人员名字 */
    @Excel(name = "轮班人员名字")
    private String personnelName;

    /** 值班开始时间 */
    @JsonFormat(pattern = "HH:mm:ss")
    @Excel(name = "值班开始时间", width = 30, dateFormat = "HH:mm:ss")
    private LocalTime startTime;

    /** 值班结束时间 */
    @JsonFormat(pattern = "HH:mm:ss")
    @Excel(name = "值班结束时间", width = 30, dateFormat = "HH:mm:ss")
    private LocalTime endTime;

    /** 备注 */
    private String memo;

    @Transient
    private LocalTime workTime;

    public void setPersonnelId(Integer personnelId) 
    {
        this.personnelId = personnelId;
    }

    public Integer getPersonnelId() 
    {
        return personnelId;
    }
    public void setParkingId(Integer parkingId) 
    {
        this.parkingId = parkingId;
    }

    public Integer getParkingId() 
    {
        return parkingId;
    }
    public void setPersonnelName(String personnelName) 
    {
        this.personnelName = personnelName;
    }

    public String getPersonnelName() 
    {
        return personnelName;
    }
    public void setStartTime(LocalTime startTime)
    {
        this.startTime = startTime;
    }

    public LocalTime getStartTime() 
    {
        return startTime;
    }
    public void setEndTime(LocalTime endTime) 
    {
        this.endTime = endTime;
    }

    public LocalTime getEndTime() 
    {
        return endTime;
    }
    public void setMemo(String memo) 
    {
        this.memo = memo;
    }

    public String getMemo() 
    {
        return memo;
    }

    public LocalTime getWorkTime() {
        return workTime;
    }

    public void setWorkTime(String workTime) {

        this.workTime = LocalTime.parse(workTime, DateTimeFormatter.ofPattern("HH:mm:ss"));;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("personnelId", getPersonnelId())
            .append("parkingId", getParkingId())
            .append("personnelName", getPersonnelName())
            .append("startTime", getStartTime())
            .append("endTime", getEndTime())
            .append("memo", getMemo())
            .toString();
    }
}