package com.lqkj.info.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.lqkj.info.entity.AreaInfo;

/**
 * 区域对象Mapper接口
 * 
 * @author lqkj
 * @date 2024-11-13
 */
@Mapper
public interface AreaInfoMapper 
{
    /**
     * 查询区域对象
     * 
     * @param areaId 区域对象主键
     * @return 区域对象
     */
    public AreaInfo selectAreaInfoByAreaId(Integer areaId);

    /**
     * 查询区域对象列表
     * 
     * @param areaInfo 区域对象
     * @return 区域对象集合
     */
    public List<AreaInfo> selectAreaInfoList(AreaInfo areaInfo);

    /**
     * 新增区域对象
     * 
     * @param areaInfo 区域对象
     * @return 结果
     */
    public int insertAreaInfo(AreaInfo areaInfo);

    /**
     * 修改区域对象
     * 
     * @param areaInfo 区域对象
     * @return 结果
     */
    public int updateAreaInfo(AreaInfo areaInfo);

    /**
     * 删除区域对象
     * 
     * @param areaId 区域对象主键
     * @return 结果
     */
    public int deleteAreaInfoByAreaId(Integer areaId);

    /**
     * 批量删除区域对象
     * 
     * @param areaIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAreaInfoByAreaIds(Integer[] areaIds);
}