package com.lqkj.info.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.lqkj.info.entity.Developments;

/**
 * 发展定位：developmentsMapper接口
 * 
 * @author lqkj
 * @date 2024-12-13
 */
@Mapper
public interface DevelopmentsMapper 
{
    /**
     * 查询发展定位：developments
     * 
     * @param id 发展定位：developments主键
     * @return 发展定位：developments
     */
    public Developments selectDevelopmentsById(Integer id);

    /**
     * 查询发展定位：developments列表
     * 
     * @param developments 发展定位：developments
     * @return 发展定位：developments集合
     */
    public List<Developments> selectDevelopmentsList(Developments developments);

    /**
     * 新增发展定位：developments
     * 
     * @param developments 发展定位：developments
     * @return 结果
     */
    public int insertDevelopments(Developments developments);

    /**
     * 修改发展定位：developments
     * 
     * @param developments 发展定位：developments
     * @return 结果
     */
    public int updateDevelopments(Developments developments);

    /**
     * 删除发展定位：developments
     * 
     * @param id 发展定位：developments主键
     * @return 结果
     */
    public int deleteDevelopmentsById(Integer id);

    /**
     * 批量删除发展定位：developments
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDevelopmentsByIds(Integer[] ids);
}