package com.lqkj.info.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.lqkj.info.entity.ElevatorInfo;

/**
 * 电梯信息Mapper接口
 * 
 * @author lqkj
 * @date 2024-11-12
 */
@Mapper
public interface ElevatorInfoMapper 
{
    /**
     * 查询电梯信息
     * 
     * @param elevatorId 电梯信息主键
     * @return 电梯信息
     */
    public ElevatorInfo selectElevatorInfoByElevatorId(Integer elevatorId);

    /**
     * 查询电梯信息列表
     * 
     * @param elevatorInfo 电梯信息
     * @return 电梯信息集合
     */
    public List<ElevatorInfo> selectElevatorInfoList(ElevatorInfo elevatorInfo);

    /**
     * 新增电梯信息
     * 
     * @param elevatorInfo 电梯信息
     * @return 结果
     */
    public int insertElevatorInfo(ElevatorInfo elevatorInfo);

    /**
     * 修改电梯信息
     * 
     * @param elevatorInfo 电梯信息
     * @return 结果
     */
    public int updateElevatorInfo(ElevatorInfo elevatorInfo);

    /**
     * 删除电梯信息
     * 
     * @param elevatorId 电梯信息主键
     * @return 结果
     */
    public int deleteElevatorInfoByElevatorId(Integer elevatorId);

    /**
     * 批量删除电梯信息
     * 
     * @param elevatorIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteElevatorInfoByElevatorIds(Integer[] elevatorIds);
}