package com.lqkj.info.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.lqkj.info.entity.ForewarningInfo;

/**
 * 预警信息Mapper接口
 * 
 * @author lqkj
 * @date 2024-11-12
 */
@Mapper
public interface ForewarningInfoMapper 
{
    /**
     * 查询预警信息
     * 
     * @param forewarningId 预警信息主键
     * @return 预警信息
     */
    public ForewarningInfo selectForewarningInfoByForewarningId(Integer forewarningId);

    /**
     * 查询预警信息列表
     * 
     * @param forewarningInfo 预警信息
     * @return 预警信息集合
     */
    public List<ForewarningInfo> selectForewarningInfoList(ForewarningInfo forewarningInfo);

    /**
     * 新增预警信息
     * 
     * @param forewarningInfo 预警信息
     * @return 结果
     */
    public int insertForewarningInfo(ForewarningInfo forewarningInfo);

    /**
     * 修改预警信息
     * 
     * @param forewarningInfo 预警信息
     * @return 结果
     */
    public int updateForewarningInfo(ForewarningInfo forewarningInfo);

    /**
     * 删除预警信息
     * 
     * @param forewarningId 预警信息主键
     * @return 结果
     */
    public int deleteForewarningInfoByForewarningId(Integer forewarningId);

    /**
     * 批量删除预警信息
     * 
     * @param forewarningIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteForewarningInfoByForewarningIds(Integer[] forewarningIds);
}