package com.lqkj.info.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.lqkj.info.entity.ParkInfo;

/**
 * 园区对象Mapper接口
 *
 * @author lqkj
 * @date 2024-12-16
 */
@Mapper
public interface ParkInfoMapper
{
    /**
     * 查询园区对象
     *
     * @param parkId 园区对象主键
     * @return 园区对象
     */
    public ParkInfo selectParkInfoByParkId(Integer parkId);

    /**
     * 查询园区对象列表
     *
     * @param parkInfo 园区对象
     * @return 园区对象集合
     */
    public List<ParkInfo> selectParkInfoList(ParkInfo parkInfo);

    /**
     * 查询园区对象列表 排除健康城园区
     *
     * @return 园区对象集合
     */
    public List<ParkInfo> selectParkInfoKeyList();

    /**
     * 新增园区对象
     *
     * @param parkInfo 园区对象
     * @return 结果
     */
    public int insertParkInfo(ParkInfo parkInfo);

    /**
     * 修改园区对象
     *
     * @param parkInfo 园区对象
     * @return 结果
     */
    public int updateParkInfo(ParkInfo parkInfo);

    /**
     * 删除园区对象
     *
     * @param parkId 园区对象主键
     * @return 结果
     */
    public int deleteParkInfoByParkId(Integer parkId);

    /**
     * 批量删除园区对象
     *
     * @param parkIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteParkInfoByParkIds(Integer[] parkIds);
}
