package com.lqkj.info.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.lqkj.info.entity.PlanInfo;

/**
 * 规划对象Mapper接口
 * 
 * @author lqkj
 * @date 2024-11-13
 */
@Mapper
public interface PlanInfoMapper 
{
    /**
     * 查询规划对象
     * 
     * @param planId 规划对象主键
     * @return 规划对象
     */
    public PlanInfo selectPlanInfoByPlanId(Integer planId);

    /**
     * 查询规划对象列表
     * 
     * @param planInfo 规划对象
     * @return 规划对象集合
     */
    public List<PlanInfo> selectPlanInfoList(PlanInfo planInfo);

    /**
     * 新增规划对象
     * 
     * @param planInfo 规划对象
     * @return 结果
     */
    public int insertPlanInfo(PlanInfo planInfo);

    /**
     * 修改规划对象
     * 
     * @param planInfo 规划对象
     * @return 结果
     */
    public int updatePlanInfo(PlanInfo planInfo);

    /**
     * 删除规划对象
     * 
     * @param planId 规划对象主键
     * @return 结果
     */
    public int deletePlanInfoByPlanId(Integer planId);

    /**
     * 批量删除规划对象
     * 
     * @param planIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePlanInfoByPlanIds(Integer[] planIds);
}