package com.lqkj.info.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.lqkj.info.entity.ShiftPersonnel;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

/**
 * 轮班人员信息Mapper接口
 * 
 * @author lqkj
 * @date 2024-12-23
 */
@Mapper
public interface ShiftPersonnelMapper 
{
    /**
     * 查询轮班人员信息
     * 
     * @param personnelId 轮班人员信息主键
     * @return 轮班人员信息
     */
    public ShiftPersonnel selectShiftPersonnelByPersonnelId(Integer personnelId);

    /**
     * 查询轮班人员信息列表
     * 
     * @param shiftPersonnel 轮班人员信息
     * @return 轮班人员信息集合
     */
    public List<ShiftPersonnel> selectShiftPersonnelList(ShiftPersonnel shiftPersonnel);

    /**
     * 新增轮班人员信息
     * 
     * @param shiftPersonnel 轮班人员信息
     * @return 结果
     */
    public int insertShiftPersonnel(ShiftPersonnel shiftPersonnel);

    /**
     * 修改轮班人员信息
     * 
     * @param shiftPersonnel 轮班人员信息
     * @return 结果
     */
    public int updateShiftPersonnel(ShiftPersonnel shiftPersonnel);

    /**
     * 删除轮班人员信息
     * 
     * @param personnelId 轮班人员信息主键
     * @return 结果
     */
    public int deleteShiftPersonnelByPersonnelId(Integer personnelId);

    /**
     * 批量删除轮班人员信息
     * 
     * @param personnelIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteShiftPersonnelByPersonnelIds(Integer[] personnelIds);


    String selectPersonnelName(Integer parkingId);
}