package com.lqkj.info.service;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.lqkj.info.mapper.ElevatorInfoMapper;
import com.lqkj.info.entity.ElevatorInfo;
import com.lqkj.common.utils.uuid.IdUtils;
/**
 * 电梯信息Service业务层处理
 * 
 * @author lqkj
 * @date 2024-11-12
 */
@Service
public class ElevatorInfoService
{
    @Autowired
    private ElevatorInfoMapper elevatorInfoMapper;

    /**
     * 查询电梯信息
     * 
     * @param elevatorId 电梯信息主键
     * @return 电梯信息
     */
    
    public ElevatorInfo selectElevatorInfoByElevatorId(Integer elevatorId)
    {
        return elevatorInfoMapper.selectElevatorInfoByElevatorId(elevatorId);
    }

    /**
     * 查询电梯信息列表
     * 
     * @param elevatorInfo 电梯信息
     * @return 电梯信息
     */
    public List<ElevatorInfo> selectElevatorInfoList(ElevatorInfo elevatorInfo)
    {
        return elevatorInfoMapper.selectElevatorInfoList(elevatorInfo);
    }

    /**
     * 新增电梯信息
     * 
     * @param elevatorInfo 电梯信息
     * @return 结果
     */
    
    public int insertElevatorInfo(ElevatorInfo elevatorInfo)
    {
        return elevatorInfoMapper.insertElevatorInfo(elevatorInfo);
    }

    /**
     * 修改电梯信息
     * 
     * @param elevatorInfo 电梯信息
     * @return 结果
     */
    
    public int updateElevatorInfo(ElevatorInfo elevatorInfo)
    {
        return elevatorInfoMapper.updateElevatorInfo(elevatorInfo);
    }

    /**
     * 批量删除电梯信息
     * 
     * @param elevatorIds 需要删除的电梯信息主键
     * @return 结果
     */
    
    public int deleteElevatorInfoByElevatorIds(Integer[] elevatorIds)
    {
        return elevatorInfoMapper.deleteElevatorInfoByElevatorIds(elevatorIds);
    }

    /**
     * 删除电梯信息信息
     * 
     * @param elevatorId 电梯信息主键
     * @return 结果
     */
    
    public int deleteElevatorInfoByElevatorId(Integer elevatorId)
    {
        return elevatorInfoMapper.deleteElevatorInfoByElevatorId(elevatorId);
    }
}