package com.lqkj.info.service;

import java.util.List;

import org.apache.commons.lang.StringEscapeUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.lqkj.info.mapper.EquipmentInfoMapper;
import com.lqkj.info.entity.EquipmentInfo;
import com.lqkj.common.utils.uuid.IdUtils;
/**
 * 设备信息Service业务层处理
 * 
 * @author lqkj
 * @date 2024-11-12
 */
@Service
public class EquipmentInfoService
{
    @Autowired
    private EquipmentInfoMapper equipmentInfoMapper;

    /**
     * 查询设备信息
     * 
     * @param equipmentId 设备信息主键
     * @return 设备信息
     */
    
    public EquipmentInfo selectEquipmentInfoByEquipmentId(Integer equipmentId)
    {
        return equipmentInfoMapper.selectEquipmentInfoByEquipmentId(equipmentId);
    }

    /**
     * 查询设备信息列表
     * 
     * @param equipmentInfo 设备信息
     * @return 设备信息
     */
    public List<EquipmentInfo> selectEquipmentInfoList(EquipmentInfo equipmentInfo)
    {
        return equipmentInfoMapper.selectEquipmentInfoList(equipmentInfo);
    }

    /**
     * 新增设备信息
     * 
     * @param equipmentInfo 设备信息
     * @return 结果
     */
    
    public int insertEquipmentInfo(EquipmentInfo equipmentInfo)
    {
        return equipmentInfoMapper.insertEquipmentInfo(equipmentInfo);
    }

    /**
     * 修改设备信息
     * 
     * @param equipmentInfo 设备信息
     * @return 结果
     */
    
    public int updateEquipmentInfo(EquipmentInfo equipmentInfo)
    {
        return equipmentInfoMapper.updateEquipmentInfo(equipmentInfo);
    }

    /**
     * 批量删除设备信息
     * 
     * @param equipmentIds 需要删除的设备信息主键
     * @return 结果
     */
    
    public int deleteEquipmentInfoByEquipmentIds(Integer[] equipmentIds)
    {
        return equipmentInfoMapper.deleteEquipmentInfoByEquipmentIds(equipmentIds);
    }

    /**
     * 删除设备信息信息
     * 
     * @param equipmentId 设备信息主键
     * @return 结果
     */
    
    public int deleteEquipmentInfoByEquipmentId(Integer equipmentId)
    {
        return equipmentInfoMapper.deleteEquipmentInfoByEquipmentId(equipmentId);
    }

    public List<EquipmentInfo> getAllMonitors() {

        return equipmentInfoMapper.getAllMonitors();
    }
}