package com.lqkj.info.service;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.lqkj.info.mapper.ModelInfoMapper;
import com.lqkj.info.entity.ModelInfo;
import com.lqkj.common.utils.uuid.IdUtils;
/**
 * 模型信息Service业务层处理
 * 
 * @author lqkj
 * @date 2024-11-23
 */
@Service
public class ModelInfoService
{
    @Autowired
    private ModelInfoMapper modelInfoMapper;

    /**
     * 查询模型信息
     * 
     * @param modelId 模型信息主键
     * @return 模型信息
     */
    
    public ModelInfo selectModelInfoByModelId(Integer modelId)
    {
        return modelInfoMapper.selectModelInfoByModelId(modelId);
    }

    /**
     * 查询模型信息列表
     * 
     * @param modelInfo 模型信息
     * @return 模型信息
     */
    public List<ModelInfo> selectModelInfoList(ModelInfo modelInfo)
    {
        return modelInfoMapper.selectModelInfoList(modelInfo);
    }

    /**
     * 新增模型信息
     * 
     * @param modelInfo 模型信息
     * @return 结果
     */
    
    public int insertModelInfo(ModelInfo modelInfo)
    {
        return modelInfoMapper.insertModelInfo(modelInfo);
    }

    /**
     * 修改模型信息
     * 
     * @param modelInfo 模型信息
     * @return 结果
     */
    
    public int updateModelInfo(ModelInfo modelInfo)
    {
        return modelInfoMapper.updateModelInfo(modelInfo);
    }

    /**
     * 批量删除模型信息
     * 
     * @param modelIds 需要删除的模型信息主键
     * @return 结果
     */
    
    public int deleteModelInfoByModelIds(Integer[] modelIds)
    {
        return modelInfoMapper.deleteModelInfoByModelIds(modelIds);
    }

    /**
     * 删除模型信息信息
     * 
     * @param modelId 模型信息主键
     * @return 结果
     */
    
    public int deleteModelInfoByModelId(Integer modelId)
    {
        return modelInfoMapper.deleteModelInfoByModelId(modelId);
    }
}