package com.lqkj.info.service;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.lqkj.info.mapper.ParkInfoMapper;
import com.lqkj.info.entity.ParkInfo;
import com.lqkj.common.utils.uuid.IdUtils;
/**
 * 园区对象Service业务层处理
 *
 * @author lqkj
 * @date 2024-12-16
 */
@Service
public class ParkInfoService
{
    @Autowired
    private ParkInfoMapper parkInfoMapper;

    /**
     * 查询园区对象
     *
     * @param parkId 园区对象主键
     * @return 园区对象
     */

    public ParkInfo selectParkInfoByParkId(Integer parkId)
    {
        return parkInfoMapper.selectParkInfoByParkId(parkId);
    }

    /**
     * 查询园区对象列表
     *
     * @param parkInfo 园区对象
     * @return 园区对象
     */
    public List<ParkInfo> selectParkInfoList(ParkInfo parkInfo)
    {
        return parkInfoMapper.selectParkInfoList(parkInfo);
    }

    /**
     * 查询园区对象列表 排除健康城
     *
     * @return 园区对象
     */
    public List<ParkInfo> selectParkInfoKeyList()
    {
        return parkInfoMapper.selectParkInfoKeyList();
    }

    /**
     * 新增园区对象
     *
     * @param parkInfo 园区对象
     * @return 结果
     */

    public int insertParkInfo(ParkInfo parkInfo)
    {
        return parkInfoMapper.insertParkInfo(parkInfo);
    }

    /**
     * 修改园区对象
     *
     * @param parkInfo 园区对象
     * @return 结果
     */

    public int updateParkInfo(ParkInfo parkInfo)
    {
        return parkInfoMapper.updateParkInfo(parkInfo);
    }

    /**
     * 批量删除园区对象
     *
     * @param parkIds 需要删除的园区对象主键
     * @return 结果
     */

    public int deleteParkInfoByParkIds(Integer[] parkIds)
    {
        return parkInfoMapper.deleteParkInfoByParkIds(parkIds);
    }

    /**
     * 删除园区对象信息
     *
     * @param parkId 园区对象主键
     * @return 结果
     */

    public int deleteParkInfoByParkId(Integer parkId)
    {
        return parkInfoMapper.deleteParkInfoByParkId(parkId);
    }
}
