package com.lqkj.info.service;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.lqkj.info.mapper.PlanInfoMapper;
import com.lqkj.info.entity.PlanInfo;
import com.lqkj.common.utils.uuid.IdUtils;
/**
 * 规划对象Service业务层处理
 * 
 * @author lqkj
 * @date 2024-11-13
 */
@Service
public class PlanInfoService
{
    @Autowired
    private PlanInfoMapper planInfoMapper;

    /**
     * 查询规划对象
     * 
     * @param planId 规划对象主键
     * @return 规划对象
     */
    
    public PlanInfo selectPlanInfoByPlanId(Integer planId)
    {
        return planInfoMapper.selectPlanInfoByPlanId(planId);
    }

    /**
     * 查询规划对象列表
     * 
     * @param planInfo 规划对象
     * @return 规划对象
     */
    public List<PlanInfo> selectPlanInfoList(PlanInfo planInfo)
    {
        return planInfoMapper.selectPlanInfoList(planInfo);
    }

    /**
     * 新增规划对象
     * 
     * @param planInfo 规划对象
     * @return 结果
     */
    
    public int insertPlanInfo(PlanInfo planInfo)
    {
        return planInfoMapper.insertPlanInfo(planInfo);
    }

    /**
     * 修改规划对象
     * 
     * @param planInfo 规划对象
     * @return 结果
     */
    
    public int updatePlanInfo(PlanInfo planInfo)
    {
        return planInfoMapper.updatePlanInfo(planInfo);
    }

    /**
     * 批量删除规划对象
     * 
     * @param planIds 需要删除的规划对象主键
     * @return 结果
     */
    
    public int deletePlanInfoByPlanIds(Integer[] planIds)
    {
        return planInfoMapper.deletePlanInfoByPlanIds(planIds);
    }

    /**
     * 删除规划对象信息
     * 
     * @param planId 规划对象主键
     * @return 结果
     */
    
    public int deletePlanInfoByPlanId(Integer planId)
    {
        return planInfoMapper.deletePlanInfoByPlanId(planId);
    }
}