package com.lqkj.info.service;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.lqkj.info.mapper.RoomInfoMapper;
import com.lqkj.info.entity.RoomInfo;
import com.lqkj.common.utils.uuid.IdUtils;
/**
 * 房间信息Service业务层处理
 * 
 * @author lqkj
 * @date 2024-11-13
 */
@Service
public class RoomInfoService
{
    @Autowired
    private RoomInfoMapper roomInfoMapper;

    /**
     * 查询房间信息
     * 
     * @param roomId 房间信息主键
     * @return 房间信息
     */
    
    public RoomInfo selectRoomInfoByRoomId(Integer roomId)
    {
        return roomInfoMapper.selectRoomInfoByRoomId(roomId);
    }

    /**
     * 查询房间信息列表
     * 
     * @param roomInfo 房间信息
     * @return 房间信息
     */
    public List<RoomInfo> selectRoomInfoList(RoomInfo roomInfo)
    {
        return roomInfoMapper.selectRoomInfoList(roomInfo);
    }

    /**
     * 新增房间信息
     * 
     * @param roomInfo 房间信息
     * @return 结果
     */
    
    public int insertRoomInfo(RoomInfo roomInfo)
    {
        return roomInfoMapper.insertRoomInfo(roomInfo);
    }

    /**
     * 修改房间信息
     * 
     * @param roomInfo 房间信息
     * @return 结果
     */
    
    public int updateRoomInfo(RoomInfo roomInfo)
    {
        return roomInfoMapper.updateRoomInfo(roomInfo);
    }

    /**
     * 批量删除房间信息
     * 
     * @param roomIds 需要删除的房间信息主键
     * @return 结果
     */
    
    public int deleteRoomInfoByRoomIds(Integer[] roomIds)
    {
        return roomInfoMapper.deleteRoomInfoByRoomIds(roomIds);
    }

    /**
     * 删除房间信息信息
     * 
     * @param roomId 房间信息主键
     * @return 结果
     */
    
    public int deleteRoomInfoByRoomId(Integer roomId)
    {
        return roomInfoMapper.deleteRoomInfoByRoomId(roomId);
    }
}