package com.lqkj.info.service;

import java.util.List;

import org.apache.commons.lang.StringEscapeUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.lqkj.info.mapper.TrafficInfoMapper;
import com.lqkj.info.entity.TrafficInfo;
import com.lqkj.common.utils.uuid.IdUtils;
/**
 * 交通对象Service业务层处理
 * 
 * @author lqkj
 * @date 2024-11-14
 */
@Service
public class TrafficInfoService
{
    @Autowired
    private TrafficInfoMapper trafficInfoMapper;

    /**
     * 查询交通对象
     * 
     * @param trafficId 交通对象主键
     * @return 交通对象
     */
    
    public TrafficInfo selectTrafficInfoByTrafficId(Integer trafficId)
    {
        return trafficInfoMapper.selectTrafficInfoByTrafficId(trafficId);
    }

    /**
     * 查询交通对象列表
     * 
     * @param trafficInfo 交通对象
     * @return 交通对象
     */
    public List<TrafficInfo> selectTrafficInfoList(TrafficInfo trafficInfo)
    {
        return trafficInfoMapper.selectTrafficInfoList(trafficInfo);
    }

    /**
     * 新增交通对象
     * 
     * @param trafficInfo 交通对象
     * @return 结果
     */
    
    public int insertTrafficInfo(TrafficInfo trafficInfo)
    {
//        trafficInfo.setLocation(StringEscapeUtils.unescapeHtml(trafficInfo.getLocation().toString()));
        return trafficInfoMapper.insertTrafficInfo(trafficInfo);
    }

    /**
     * 修改交通对象
     * 
     * @param trafficInfo 交通对象
     * @return 结果
     */
    
    public int updateTrafficInfo(TrafficInfo trafficInfo)
    {
//        trafficInfo.setLocation(StringEscapeUtils.unescapeHtml(trafficInfo.getLocation().toString()));
        return trafficInfoMapper.updateTrafficInfo(trafficInfo);
    }

    /**
     * 批量删除交通对象
     * 
     * @param trafficIds 需要删除的交通对象主键
     * @return 结果
     */
    
    public int deleteTrafficInfoByTrafficIds(Integer[] trafficIds)
    {
        return trafficInfoMapper.deleteTrafficInfoByTrafficIds(trafficIds);
    }

    /**
     * 删除交通对象信息
     * 
     * @param trafficId 交通对象主键
     * @return 结果
     */
    
    public int deleteTrafficInfoByTrafficId(Integer trafficId)
    {
        return trafficInfoMapper.deleteTrafficInfoByTrafficId(trafficId);
    }
}