package com.lqkj.ioc.controller;

import com.lqkj.common.core.controller.BaseController;
import com.lqkj.common.core.model.ResultUtil;
import com.lqkj.ioc.service.EconomicDevelopmentService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * 城市推荐-经济发展
 */
@Api(tags = {"城市推荐-经济发展"})
@RestController
@RequestMapping("/ioc/cityRecommendation/economicDevelopment")
public class EconomicDevelopmentController extends BaseController {

    @Autowired
    private EconomicDevelopmentService economicDevelopmentService;

    @ApiOperation("城市推荐-经济发展-商业配套")
    @GetMapping("/businessSupport")
    public ResultUtil businessSupport(){
        return ResultUtil.success(economicDevelopmentService.businessSupport());
    }

    @ApiOperation("城市推荐-经济发展-近年GDP")
    @GetMapping("/gdp")
    public ResultUtil gdp(){
        return ResultUtil.success(economicDevelopmentService.gdp());
    }
}
