package com.lqkj.ioc.mapper;


import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;
import java.util.Map;

@Mapper
public interface SmartParkMapper {

    @Select("WITH months AS ( " +
            "    SELECT generate_series( " +
            "        date_trunc('year', CURRENT_DATE) - INTERVAL '1 year',  " +
            "        date_trunc('month', CURRENT_DATE),  " +
            "        '1 month' :: INTERVAL " +
            "    ) AS MONTH " +
            ") " +
            "SELECT  " +
            "    CASE  " +
            "        WHEN EXTRACT(YEAR FROM M.MONTH) = EXTRACT(YEAR FROM CURRENT_DATE) THEN '今年' " +
            "        WHEN EXTRACT(YEAR FROM M.MONTH) = EXTRACT(YEAR FROM CURRENT_DATE) - 1 THEN '去年' " +
            "        ELSE EXTRACT(YEAR FROM M.MONTH)::TEXT " +
            "    END AS YEAR, " +
            "    EXTRACT(MONTH FROM M.MONTH) AS MONTH, " +
            "    COALESCE(COUNT(C.organization_id), 0) AS join_count " +
            "FROM months M " +
            "LEFT JOIN organization_info C  " +
            "    ON EXTRACT(YEAR FROM C.enter_time) = EXTRACT(YEAR FROM M.MONTH) " +
            "    AND EXTRACT(MONTH FROM C.enter_time) = EXTRACT(MONTH FROM M.MONTH) " +
            "    AND C.park_id = #{parkId} " +
            "GROUP BY YEAR, MONTH " +
            "ORDER BY YEAR DESC, MONTH;")
    List<Map<String, Object>> addParkNewTenant(@Param("parkId") Integer parkId);


    @Select("WITH months AS ( SELECT generate_series(date_trunc('year', CURRENT_DATE), " +
            "date_trunc('year', CURRENT_DATE) + interval '1 year' - interval '1 month', " +
            "'1 month'::interval) AS month) " +
            "SELECT " +
            "EXTRACT(MONTH FROM m.month) AS month, " +
            "COALESCE(COUNT(r.forewarning_id), 0) AS total, " +
            "COALESCE(COUNT(CASE WHEN r.is_resolve = 't' THEN 't' END), 0) AS resolved  " +
            "FROM months m " +
            "LEFT JOIN forewarning_info r " +
            "ON EXTRACT(MONTH FROM r.create_time) = EXTRACT(MONTH FROM m.month) " +
            "AND EXTRACT(YEAR FROM r.create_time) = EXTRACT(YEAR FROM CURRENT_DATE)  " +
            "AND r.park_id = #{parkId} " +
            "GROUP BY m.month ORDER BY month;")
    List<Map<String, Object>> getParkFireProtectionInfo(@Param("parkId") Integer parkId);
}
