package com.lqkj.supporting.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.lqkj.supporting.entity.ResourcesInfo;

/**
 * 资源点位对象Mapper接口
 *
 * @author lqkj
 * @date 2025-05-07
 */
@Mapper
public interface ResourcesInfoMapper
{
    /**
     * 查询资源点位对象
     *
     * @param infoId 资源点位对象主键
     * @return 资源点位对象
     */
    public ResourcesInfo selectResourcesInfoByInfoId(Integer infoId);

    /**
     * 查询资源点位对象列表
     *
     * @param resourcesInfo 资源点位对象
     * @return 资源点位对象集合
     */
    public List<ResourcesInfo> selectResourcesInfoList(ResourcesInfo resourcesInfo);

    /**
     * 新增资源点位对象
     *
     * @param resourcesInfo 资源点位对象
     * @return 结果
     */
    public int insertResourcesInfo(ResourcesInfo resourcesInfo);

    /**
     * 修改资源点位对象
     *
     * @param resourcesInfo 资源点位对象
     * @return 结果
     */
    public int updateResourcesInfo(ResourcesInfo resourcesInfo);

    /**
     * 删除资源点位对象
     *
     * @param infoId 资源点位对象主键
     * @return 结果
     */
    public int deleteResourcesInfoByInfoId(Integer infoId);

    /**
     * 批量删除资源点位对象
     *
     * @param infoIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteResourcesInfoByInfoIds(Integer[] infoIds);
}
