package com.lqkj.supporting.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.lqkj.supporting.entity.ResourcesType;

/**
 * 资源类型Mapper接口
 *
 * @author lqkj
 * @date 2025-05-07
 */
@Mapper
public interface ResourcesTypeMapper
{
    /**
     * 查询资源类型
     *
     * @param typeId 资源类型主键
     * @return 资源类型
     */
    public ResourcesType selectResourcesTypeByTypeId(Integer typeId);

    /**
     * 查询资源类型列表
     *
     * @param resourcesType 资源类型
     * @return 资源类型集合
     */
    public List<ResourcesType> selectResourcesTypeList(ResourcesType resourcesType);

    /**
     * 新增资源类型
     *
     * @param resourcesType 资源类型
     * @return 结果
     */
    public int insertResourcesType(ResourcesType resourcesType);

    /**
     * 修改资源类型
     *
     * @param resourcesType 资源类型
     * @return 结果
     */
    public int updateResourcesType(ResourcesType resourcesType);

    /**
     * 删除资源类型
     *
     * @param typeId 资源类型主键
     * @return 结果
     */
    public int deleteResourcesTypeByTypeId(Integer typeId);

    /**
     * 批量删除资源类型
     *
     * @param typeIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteResourcesTypeByTypeIds(Integer[] typeIds);
}
