package com.lqkj.supporting.service;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.lqkj.supporting.mapper.ResourcesTypeMapper;
import com.lqkj.supporting.entity.ResourcesType;
import com.lqkj.common.utils.uuid.IdUtils;
/**
 * 资源类型Service业务层处理
 *
 * @author lqkj
 * @date 2025-05-07
 */
@Service
public class ResourcesTypeService
{
    @Autowired
    private ResourcesTypeMapper resourcesTypeMapper;

    /**
     * 查询资源类型
     *
     * @param typeId 资源类型主键
     * @return 资源类型
     */

    public ResourcesType selectResourcesTypeByTypeId(Integer typeId)
    {
        return resourcesTypeMapper.selectResourcesTypeByTypeId(typeId);
    }

    /**
     * 查询资源类型列表
     *
     * @param resourcesType 资源类型
     * @return 资源类型
     */
    public List<ResourcesType> selectResourcesTypeList(ResourcesType resourcesType)
    {
        return resourcesTypeMapper.selectResourcesTypeList(resourcesType);
    }

    /**
     * 新增资源类型
     *
     * @param resourcesType 资源类型
     * @return 结果
     */

    public int insertResourcesType(ResourcesType resourcesType)
    {
        return resourcesTypeMapper.insertResourcesType(resourcesType);
    }

    /**
     * 修改资源类型
     *
     * @param resourcesType 资源类型
     * @return 结果
     */

    public int updateResourcesType(ResourcesType resourcesType)
    {
        return resourcesTypeMapper.updateResourcesType(resourcesType);
    }

    /**
     * 批量删除资源类型
     *
     * @param typeIds 需要删除的资源类型主键
     * @return 结果
     */

    public int deleteResourcesTypeByTypeIds(Integer[] typeIds)
    {
        return resourcesTypeMapper.deleteResourcesTypeByTypeIds(typeIds);
    }

    /**
     * 删除资源类型信息
     *
     * @param typeId 资源类型主键
     * @return 结果
     */

    public int deleteResourcesTypeByTypeId(Integer typeId)
    {
        return resourcesTypeMapper.deleteResourcesTypeByTypeId(typeId);
    }
}
