package com.lqkj.system.controller;


import com.lqkj.ApiVersion;
import com.lqkj.common.core.model.ResultUtil;
import com.lqkj.system.domain.Server;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 服务器监控
 * 
 * @author lh
 */
@Api(tags = {"服务器监控"})
@RestController
@RequestMapping("/" + ApiVersion.V1 + "/monitor/server")
public class ServerController
{
    @ApiOperation("服务器监控详情")
    @PreAuthorize("@ss.hasPermi('monitor:server:list')")
    @GetMapping()
    public ResultUtil getInfo() throws Exception
    {
        Server server = new Server();
        server.copyTo();
        return ResultUtil.success(server);
    }
}
