package com.lqkj.system.controller;

import com.github.pagehelper.PageInfo;
import com.lqkj.ApiVersion;
import com.lqkj.common.annotation.Log;
import com.lqkj.common.core.controller.BaseController;
import com.lqkj.common.core.model.BaseEntity;
import com.lqkj.common.core.model.ResultUtil;
import com.lqkj.common.enums.BusinessType;
import com.lqkj.system.entity.SysApiConfig;
import com.lqkj.system.service.SysApiConfigService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

/**
 * 通用查询Controller
 *
 * @author lqkj
 * @date 2023-02-06
 */
@Api(tags = {"通用查询接口"})
@RestController
@RequestMapping("/" + ApiVersion.V1 + "/api/common")
public class SysCommonApiController extends BaseController {

    @Autowired
    private SysApiConfigService sysApiConfigService;


    @ApiOperation("查询接口")
    @PostMapping(value = "/{routePath}")
    public ResultUtil commonApi(@PathVariable String routePath, @RequestBody(required = false) Map<String, Object> param){
        return sysApiConfigService.selectData(routePath, param);
    }
}
