package com.lqkj.type.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.lqkj.common.annotation.Excel;
import com.lqkj.common.core.model.BaseEntity;

/**
 * 区域类型：area_type对象 area_type
 * 
 * @author lqkj
 * @date 2024-11-11
 */
public class AreaType extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 类别id：type_id */
    private Integer typeId;

    /** 父类型编号：parent_id */
    private Integer parentId;

    /** 类别名称：type_name */
    @Excel(name = "类别名称：type_name")
    private String typeName;

    /** 是否可点击：click */
    @Excel(name = "是否可点击：click")
    private Boolean click;

    /** 是否可搜索：search */
    @Excel(name = "是否可搜索：search")
    private Boolean search;

    /** 类别描述：description */
    private String description;

    /** 排序：order_id */
    private Integer orderId;

    /** 备注：memo */
    private String memo;

    /** 颜色：colour */
    @Excel(name = "颜色：colour")
    private String colour;

    public void setTypeId(Integer typeId) 
    {
        this.typeId = typeId;
    }

    public Integer getTypeId() 
    {
        return typeId;
    }
    public void setParentId(Integer parentId) 
    {
        this.parentId = parentId;
    }

    public Integer getParentId() 
    {
        return parentId;
    }
    public void setTypeName(String typeName) 
    {
        this.typeName = typeName;
    }

    public String getTypeName() 
    {
        return typeName;
    }
    public void setClick(Boolean click) 
    {
        this.click = click;
    }

    public Boolean getClick() 
    {
        return click;
    }
    public void setSearch(Boolean search) 
    {
        this.search = search;
    }

    public Boolean getSearch() 
    {
        return search;
    }
    public void setDescription(String description) 
    {
        this.description = description;
    }

    public String getDescription() 
    {
        return description;
    }
    public void setOrderId(Integer orderId) 
    {
        this.orderId = orderId;
    }

    public Integer getOrderId() 
    {
        return orderId;
    }
    public void setMemo(String memo) 
    {
        this.memo = memo;
    }

    public String getMemo() 
    {
        return memo;
    }
    public void setColour(String colour) 
    {
        this.colour = colour;
    }

    public String getColour() 
    {
        return colour;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("typeId", getTypeId())
            .append("parentId", getParentId())
            .append("typeName", getTypeName())
            .append("click", getClick())
            .append("search", getSearch())
            .append("description", getDescription())
            .append("orderId", getOrderId())
            .append("memo", getMemo())
            .append("colour", getColour())
            .toString();
    }
}