package com.lqkj.type.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.lqkj.type.entity.AreaType;

/**
 * 区域类型：area_typeMapper接口
 * 
 * @author lqkj
 * @date 2024-11-11
 */
@Mapper
public interface AreaTypeMapper 
{
    /**
     * 查询区域类型：area_type
     * 
     * @param typeId 区域类型：area_type主键
     * @return 区域类型：area_type
     */
    public AreaType selectAreaTypeByTypeId(Integer typeId);

    /**
     * 查询区域类型：area_type列表
     * 
     * @param areaType 区域类型：area_type
     * @return 区域类型：area_type集合
     */
    public List<AreaType> selectAreaTypeList(AreaType areaType);

    /**
     * 新增区域类型：area_type
     * 
     * @param areaType 区域类型：area_type
     * @return 结果
     */
    public int insertAreaType(AreaType areaType);

    /**
     * 修改区域类型：area_type
     * 
     * @param areaType 区域类型：area_type
     * @return 结果
     */
    public int updateAreaType(AreaType areaType);

    /**
     * 删除区域类型：area_type
     * 
     * @param typeId 区域类型：area_type主键
     * @return 结果
     */
    public int deleteAreaTypeByTypeId(Integer typeId);

    /**
     * 批量删除区域类型：area_type
     * 
     * @param typeIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAreaTypeByTypeIds(Integer[] typeIds);
}