package com.lqkj.type.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.lqkj.type.entity.BuildingType;

/**
 * 大楼类别：building_typeMapper接口
 * 
 * @author lqkj
 * @date 2024-11-11
 */
@Mapper
public interface BuildingTypeMapper 
{
    /**
     * 查询大楼类别：building_type
     * 
     * @param typeId 大楼类别：building_type主键
     * @return 大楼类别：building_type
     */
    public BuildingType selectBuildingTypeByTypeId(Integer typeId);

    /**
     * 查询大楼类别：building_type列表
     * 
     * @param buildingType 大楼类别：building_type
     * @return 大楼类别：building_type集合
     */
    public List<BuildingType> selectBuildingTypeList(BuildingType buildingType);

    /**
     * 新增大楼类别：building_type
     * 
     * @param buildingType 大楼类别：building_type
     * @return 结果
     */
    public int insertBuildingType(BuildingType buildingType);

    /**
     * 修改大楼类别：building_type
     * 
     * @param buildingType 大楼类别：building_type
     * @return 结果
     */
    public int updateBuildingType(BuildingType buildingType);

    /**
     * 删除大楼类别：building_type
     * 
     * @param typeId 大楼类别：building_type主键
     * @return 结果
     */
    public int deleteBuildingTypeByTypeId(Integer typeId);

    /**
     * 批量删除大楼类别：building_type
     * 
     * @param typeIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBuildingTypeByTypeIds(Integer[] typeIds);
}