package com.lqkj.type.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.lqkj.type.entity.EquipmentType;

/**
 * 设备类型：equipment_typeMapper接口
 * 
 * @author lqkj
 * @date 2024-11-11
 */
@Mapper
public interface EquipmentTypeMapper 
{
    /**
     * 查询设备类型：equipment_type
     * 
     * @param typeId 设备类型：equipment_type主键
     * @return 设备类型：equipment_type
     */
    public EquipmentType selectEquipmentTypeByTypeId(Integer typeId);

    /**
     * 查询设备类型：equipment_type列表
     * 
     * @param equipmentType 设备类型：equipment_type
     * @return 设备类型：equipment_type集合
     */
    public List<EquipmentType> selectEquipmentTypeList(EquipmentType equipmentType);

    /**
     * 新增设备类型：equipment_type
     * 
     * @param equipmentType 设备类型：equipment_type
     * @return 结果
     */
    public int insertEquipmentType(EquipmentType equipmentType);

    /**
     * 修改设备类型：equipment_type
     * 
     * @param equipmentType 设备类型：equipment_type
     * @return 结果
     */
    public int updateEquipmentType(EquipmentType equipmentType);

    /**
     * 删除设备类型：equipment_type
     * 
     * @param typeId 设备类型：equipment_type主键
     * @return 结果
     */
    public int deleteEquipmentTypeByTypeId(Integer typeId);

    /**
     * 批量删除设备类型：equipment_type
     * 
     * @param typeIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteEquipmentTypeByTypeIds(Integer[] typeIds);
}