package com.lqkj.type.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.lqkj.type.entity.PlanType;

/**
 * 规划类型Mapper接口
 *
 * @author lqkj
 * @date 2024-11-11
 */
@Mapper
public interface PlanTypeMapper
{
    /**
     * 查询规划类型
     *
     * @param typeId 规划类型主键
     * @return 规划类型
     */
    public PlanType selectPlanTypeByTypeId(Integer typeId);

    /**
     * 查询规划类型列表
     *
     * @param planType 规划类型
     * @return 规划类型集合
     */
    public List<PlanType> selectPlanTypeList(PlanType planType);


    public List<PlanType> planList(PlanType planType);

    /**
     * 新增规划类型
     *
     * @param planType 规划类型
     * @return 结果
     */
    public int insertPlanType(PlanType planType);

    /**
     * 修改规划类型
     *
     * @param planType 规划类型
     * @return 结果
     */
    public int updatePlanType(PlanType planType);

    /**
     * 删除规划类型
     *
     * @param typeId 规划类型主键
     * @return 结果
     */
    public int deletePlanTypeByTypeId(Integer typeId);

    /**
     * 批量删除规划类型
     *
     * @param typeIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePlanTypeByTypeIds(Integer[] typeIds);
}
