package com.lqkj.type.service;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.lqkj.type.mapper.BuildingTypeMapper;
import com.lqkj.type.entity.BuildingType;
import com.lqkj.common.utils.uuid.IdUtils;
/**
 * 大楼类别：building_typeService业务层处理
 * 
 * @author lqkj
 * @date 2024-11-11
 */
@Service
public class BuildingTypeService
{
    @Autowired
    private BuildingTypeMapper buildingTypeMapper;

    /**
     * 查询大楼类别：building_type
     * 
     * @param typeId 大楼类别：building_type主键
     * @return 大楼类别：building_type
     */
    
    public BuildingType selectBuildingTypeByTypeId(Integer typeId)
    {
        return buildingTypeMapper.selectBuildingTypeByTypeId(typeId);
    }

    /**
     * 查询大楼类别：building_type列表
     * 
     * @param buildingType 大楼类别：building_type
     * @return 大楼类别：building_type
     */
    public List<BuildingType> selectBuildingTypeList(BuildingType buildingType)
    {
        return buildingTypeMapper.selectBuildingTypeList(buildingType);
    }

    /**
     * 新增大楼类别：building_type
     * 
     * @param buildingType 大楼类别：building_type
     * @return 结果
     */
    
    public int insertBuildingType(BuildingType buildingType)
    {
        return buildingTypeMapper.insertBuildingType(buildingType);
    }

    /**
     * 修改大楼类别：building_type
     * 
     * @param buildingType 大楼类别：building_type
     * @return 结果
     */
    
    public int updateBuildingType(BuildingType buildingType)
    {
        return buildingTypeMapper.updateBuildingType(buildingType);
    }

    /**
     * 批量删除大楼类别：building_type
     * 
     * @param typeIds 需要删除的大楼类别：building_type主键
     * @return 结果
     */
    
    public int deleteBuildingTypeByTypeIds(Integer[] typeIds)
    {
        return buildingTypeMapper.deleteBuildingTypeByTypeIds(typeIds);
    }

    /**
     * 删除大楼类别：building_type信息
     * 
     * @param typeId 大楼类别：building_type主键
     * @return 结果
     */
    
    public int deleteBuildingTypeByTypeId(Integer typeId)
    {
        return buildingTypeMapper.deleteBuildingTypeByTypeId(typeId);
    }
}