package com.lqkj.type.service;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.lqkj.type.mapper.HouseTypeMapper;
import com.lqkj.type.entity.HouseType;
import com.lqkj.common.utils.uuid.IdUtils;
/**
 * 户型信息：house_typeService业务层处理
 * 
 * @author lqkj
 * @date 2024-11-11
 */
@Service
public class HouseTypeService
{
    @Autowired
    private HouseTypeMapper houseTypeMapper;

    /**
     * 查询户型信息：house_type
     * 
     * @param typeId 户型信息：house_type主键
     * @return 户型信息：house_type
     */
    
    public HouseType selectHouseTypeByTypeId(Integer typeId)
    {
        return houseTypeMapper.selectHouseTypeByTypeId(typeId);
    }

    /**
     * 查询户型信息：house_type列表
     * 
     * @param houseType 户型信息：house_type
     * @return 户型信息：house_type
     */
    public List<HouseType> selectHouseTypeList(HouseType houseType)
    {
        return houseTypeMapper.selectHouseTypeList(houseType);
    }

    /**
     * 新增户型信息：house_type
     * 
     * @param houseType 户型信息：house_type
     * @return 结果
     */
    
    public int insertHouseType(HouseType houseType)
    {
        return houseTypeMapper.insertHouseType(houseType);
    }

    /**
     * 修改户型信息：house_type
     * 
     * @param houseType 户型信息：house_type
     * @return 结果
     */
    
    public int updateHouseType(HouseType houseType)
    {
        return houseTypeMapper.updateHouseType(houseType);
    }

    /**
     * 批量删除户型信息：house_type
     * 
     * @param typeIds 需要删除的户型信息：house_type主键
     * @return 结果
     */
    
    public int deleteHouseTypeByTypeIds(Integer[] typeIds)
    {
        return houseTypeMapper.deleteHouseTypeByTypeIds(typeIds);
    }

    /**
     * 删除户型信息：house_type信息
     * 
     * @param typeId 户型信息：house_type主键
     * @return 结果
     */
    
    public int deleteHouseTypeByTypeId(Integer typeId)
    {
        return houseTypeMapper.deleteHouseTypeByTypeId(typeId);
    }
}