create table if not exists parking_lot (
                             parking_id           SERIAL               not null,
                             parking_name         VARCHAR(255)         null,
                             lng_lat              VARCHAR(255)         null,
                             free_spots           INT4                 null,
                             free_chargers        INT4                 null,
                             memo                 VARCHAR(255)         null,
                             constraint PK_PARKING_LOT primary key (parking_id)
);
comment on table parking_lot is
'停车场信息';
comment on column parking_lot.parking_id is
'停车场id';
comment on column parking_lot.parking_name is
'停车场名称';
comment on column parking_lot.lng_lat is
'坐标';
comment on column parking_lot.free_spots is
'空余车位';
comment on column parking_lot.free_chargers is
'空余充电桩';
comment on column parking_lot.memo is
'备注';

    -- 菜单 SQL
with temp_menu as (
insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('停车场信息', '2200', '1', 'parkingLot', 'info/parkingLot/index', false, true, 'C', true, true, 'info:parkingLot:list', 'operation', 'admin', now(), '', null, '停车场信息菜单') returning menu_id
    )
-- 按钮 SQL
insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('停车场信息查询', (select * from temp_menu), '1',  '#', '', false, true, 'F', true, true, 'info:parkingLot:query',        '#', 'admin', now(), '', null, ''),
    ('停车场信息新增', (select * from temp_menu), '2',  '#', '', false, true, 'F', true, true, 'info:parkingLot:add',          '#', 'admin', now(), '', null, ''),
    ('停车场信息修改', (select * from temp_menu), '3',  '#', '', false, true, 'F', true, true, 'info:parkingLot:edit',         '#', 'admin', now(), '', null, ''),
    ('停车场信息删除', (select * from temp_menu), '4',  '#', '', false, true, 'F', true, true, 'info:parkingLot:remove',       '#', 'admin', now(), '', null, ''),
    ('停车场信息导出', (select * from temp_menu), '5',  '#', '', false, true, 'F', true, true, 'info:parkingLot:export',       '#', 'admin', now(), '', null, '');
