create table if not exists shift_personnel (
    personnel_id           SERIAL               not null,
    parking_id             INT4                 null,
    personnel_name         VARCHAR(255)         null,
    start_time             TIME                 NULL,
    end_time               TIME                 NULL,
    memo                   VARCHAR(255)         null,
    constraint PK_SHIFT_PERSONNEL primary key (personnel_id)
    );
comment on table shift_personnel is
'轮班人员信息';
comment on column shift_personnel.personnel_id is
'轮班人员id';
comment on column shift_personnel.parking_id is
'停车场id';
comment on column shift_personnel.personnel_name is
'轮班人员名字';
comment on column shift_personnel.start_time is
'值班开始时间';
comment on column shift_personnel.end_time is
'值班结束时间';
comment on column shift_personnel.memo is
'备注';

-- 菜单 SQL
with temp_menu as (
insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('轮班人员信息', '2200', '1', 'shiftPersonnel', 'info/shiftPersonnel/index', false, true, 'C', true, true, 'info:shiftPersonnel:list', 'operation', 'admin', now(), '', null, '轮班人员信息菜单') returning menu_id
    )
-- 按钮 SQL
insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('轮班人员信息查询', (select * from temp_menu), '1',  '#', '', false, true, 'F', true, true, 'info:shiftPersonnel:query',        '#', 'admin', now(), '', null, ''),
    ('轮班人员信息新增', (select * from temp_menu), '2',  '#', '', false, true, 'F', true, true, 'info:shiftPersonnel:add',          '#', 'admin', now(), '', null, ''),
    ('轮班人员信息修改', (select * from temp_menu), '3',  '#', '', false, true, 'F', true, true, 'info:shiftPersonnel:edit',         '#', 'admin', now(), '', null, ''),
    ('轮班人员信息删除', (select * from temp_menu), '4',  '#', '', false, true, 'F', true, true, 'info:shiftPersonnel:remove',       '#', 'admin', now(), '', null, ''),
    ('轮班人员信息导出', (select * from temp_menu), '5',  '#', '', false, true, 'F', true, true, 'info:shiftPersonnel:export',       '#', 'admin', now(), '', null, '');