-- 一级菜单 SQL

insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible,
                      status, perms, icon, create_by, create_time, update_by, update_time, remark)
values ('配套资源', '0', '0', 'supporting', null, false, true,'M', true,
        true, '', 'trend-chart', 'admin', now(), '', null,'配套资源主分类');



with temp_menu2 as (
insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible,
                      status, perms, icon, create_by, create_time, update_by, update_time, remark)
values ('类型管理', (select menu_id from sys_menu where menu_name = '配套资源' limit 1), '1', 'type', 'supporting/type/index', false, true,'C', true,
        true, 'supporting:type:list', 'operation', 'admin', now(), '', null,'配套资源类型管理') returning menu_id)


-- 按钮 SQL
insert
into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms,
               icon, create_by, create_time, update_by, update_time, remark)
values ('类型管理查询', (select * from temp_menu2), '1', '#', '', false, true, 'F', true, true,
    'supporting:type:query', '#', 'admin', now(), '', null, ''),
    ('类型管理新增', (select * from temp_menu2), '2', '#', '', false, true, 'F', true, true,
    'supporting:type:add', '#', 'admin', now(), '', null, ''),
    ('类型管理修改', (select * from temp_menu2), '3', '#', '', false, true, 'F', true, true,
    'supporting:type:edit', '#', 'admin', now(), '', null, ''),
    ('类型管理删除', (select * from temp_menu2), '4', '#', '', false, true, 'F', true, true,
    'supporting:type:remove', '#', 'admin', now(), '', null, ''),
    ('类型管理导出', (select * from temp_menu2), '5', '#', '', false, true, 'F', true, true,
    'supporting:type:export', '#', 'admin', now(), '', null, '');

-- 菜单 SQL
with temp_menu3 as (
insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible,
                      status, perms, icon, create_by, create_time, update_by, update_time, remark)
values ('点位管理', (select menu_id from sys_menu where menu_name = '配套资源' limit 1), '2', 'info', 'supporting/info/index', false, true, 'C',
    true, true, 'supporting:info:list', 'operation', 'admin', now(), '', null,
    '配套资源点位管理') returning menu_id)
-- 按钮 SQL
insert
into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms,
               icon, create_by, create_time, update_by, update_time, remark)
values ('点位管理查询', (select * from temp_menu3), '1', '#', '', false, true, 'F', true, true,
    'supporting:info:query', '#', 'admin', now(), '', null, ''),
    ('点位管理新增', (select * from temp_menu3), '2', '#', '', false, true, 'F', true, true,
    'supporting:info:add', '#', 'admin', now(), '', null, ''),
    ('点位管理修改', (select * from temp_menu3), '3', '#', '', false, true, 'F', true, true,
    'supporting:info:edit', '#', 'admin', now(), '', null, ''),
    ('点位管理删除', (select * from temp_menu3), '4', '#', '', false, true, 'F', true, true,
    'supporting:info:remove', '#', 'admin', now(), '', null, ''),
    ('点位管理导出', (select * from temp_menu3), '5', '#', '', false, true, 'F', true, true,
    'supporting:info:export', '#', 'admin', now(), '', null, '');

INSERT INTO "public"."sys_dict_type" ("dict_name", "dict_type", "status", "create_by", "create_time", "update_by", "update_time", "remark")
VALUES ('配套资源分类', 'supporting_resources_classify', 't', '超级管理员', now(), NULL, NULL, NULL);


INSERT INTO "public"."sys_dict_data" ("dict_sort", "dict_label", "dict_value", "dict_type", "css_class", "list_class", "is_default", "status", "create_by", "create_time", "update_by", "update_time", "remark", "icon", "park_id")
       VALUES (1, '企业服务', '企业服务', 'supporting_resources_classify', NULL, 'default', 'f', 't', '超级管理员', now(), NULL, NULL, NULL, NULL, NULL),
              (2, '便民服务', '企业服务', 'supporting_resources_classify', NULL, 'default', 'f', 't', '超级管理员', now(), NULL, NULL, NULL, NULL, NULL),
              (3, '交通服务', '企业服务', 'supporting_resources_classify', NULL, 'default', 'f', 't', '超级管理员', now(), NULL, NULL, NULL, NULL, NULL);




create table resources_type (
                           type_id              SERIAL               not null,
                           type_name            VARCHAR(255)         null,
                           type_label           VARCHAR(255)         null,
                           icon                 VARCHAR(255)         null,
                           order_id             INT4                 null,
                           memo                 VARCHAR(255)         null,
                           constraint PK_RESOURCES_TYPE primary key (type_id)
);

comment on table resources_type is
    '资源类型';

comment on column resources_type.type_id is
    '类型ID';

comment on column resources_type.type_name is
    '类型名称';

comment on column resources_type.type_label is
    '类型分类';

comment on column resources_type.icon is
    '类型图标';

comment on column resources_type.order_id is
    '排序：order_id';

comment on column resources_type.memo is
    '备注';




create table resources_info (
                           info_id              SERIAL               not null,
                           type_id              INT4                 not null,
                           info_name            VARCHAR(255)         null,
                           memo                 VARCHAR(255)         null,
                           location             jsonb                null,
                           constraint PK_RESOURCES_INFO primary key (info_id)
);

comment on table resources_info is
    '资源点位对象';

comment on column resources_info.info_id is
    '信息ID';

comment on column resources_info.type_id is
    '类型编号：type_id';

comment on column resources_info.info_name is
    '名字：area_name';

comment on column resources_info.memo is
    '备注：memo';

comment on column resources_info.location is
    '坐标： location';














































